/**
 * Copyright (c) Amur 2020
 * 
 * React-js-loader by Amur
 * https://github.com/AmurKhoyetsyan/react-js-loader
 * 
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */

import React from "react";

declare module "react-js-loader" {
    interface LoaderProps<T = {}> {
        /**
         * @property _type_ | Type of spinner you want to display
         * @default spinner-default
         */
        type:
        "spinner-default"
        |"box-rotate-x"
        |"box-rotate-y"
        |"box-rotate-z"
        |"box-rectangular"
        |"heart"
        |"bubble-scale"
        |"bubble-top"
        |"bubble-ping"
        |"bubble-spin"
        |"spinner-cub"
        |"spinner-circle"
        |"ekvalayzer";

        /**
         * @property background-color
         * @default #FFFFFF
         */
        bgColor?: string;

        /**
         * @property color for title
         * @default #FFFFFF
         */
        color?: string;

        /**
         * @property title
         * @default ""
         */
        title?: string;
    }
    export default class Loader extends React.component {
        constructor(props: LoaderProps)
    }
}