/**
 * Copyright (c) Amur 2020
 * 
 * React-js-loader by Amur
 * https://github.com/AmurKhoyetsyan/react-js-loader
 * 
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */

 "use strict";

 Object.defineProperty(exports, "__esModule", {
   value: true
 });
 exports.default = void 0;
 
 var _react = _interopRequireWildcard(require("react"));
 
 var _Heart = _interopRequireDefault(require("./Heart"));
 
 var _Box = _interopRequireDefault(require("./Box/Box1"));
 
 var _Box2 = _interopRequireDefault(require("./Box/Box2"));
 
 var _Box3 = _interopRequireDefault(require("./Box/Box3"));
 
 var _Box4 = _interopRequireDefault(require("./Box/Box4"));
 
 var _Bubble = _interopRequireDefault(require("./Bubble/Bubble1"));
 
 var _Bubble2 = _interopRequireDefault(require("./Bubble/Bubble2"));
 
 var _Bubble3 = _interopRequireDefault(require("./Bubble/Bubble3"));
 
 var _Bubble4 = _interopRequireDefault(require("./Bubble/Bubble4"));
 
 var _Spinner = _interopRequireDefault(require("./Spinner/Spinner1"));
 
 var _Spinner2 = _interopRequireDefault(require("./Spinner/Spinner2"));
 
 var _Spinner3 = _interopRequireDefault(require("./Spinner/Spinner3"));
 
 var _Ekvalayzer = _interopRequireDefault(require("./Ekvalayzer"));
 
 function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
 
 function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }
 
 function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
 
 const Loader = props => {
   const [defaultProps, setProps] = (0, _react.useState)({
     type: "spinner-default",
     bgColor: "#FFFFFF"
   });
   (0, _react.useEffect)(() => {
     if (Object.keys(props).length === 0) {
       props = defaultProps;
     }
 
     let newProps = { ...props
     };
 
     if (!newProps.hasOwnProperty("type")) {
       newProps.type = defaultProps.type;
     }
 
     if (!newProps.hasOwnProperty("bgColor")) {
       newProps.bgColor = defaultProps.bgColor;
     }
 
     setProps(newProps);
   }, []);
 
   switch (defaultProps.type) {
     case "box-rotate-x":
       return /*#__PURE__*/_react.default.createElement(_Box.default, defaultProps);
       break;
 
     case "box-rotate-y":
       return /*#__PURE__*/_react.default.createElement(_Box2.default, defaultProps);
       break;
 
     case "box-rotate-z":
       return /*#__PURE__*/_react.default.createElement(_Box3.default, defaultProps);
       break;
 
     case "box-rectangular":
       return /*#__PURE__*/_react.default.createElement(_Box4.default, defaultProps);
       break;
 
     case "heart":
       return /*#__PURE__*/_react.default.createElement(_Heart.default, defaultProps);
       break;
 
     case "bubble-scale":
       return /*#__PURE__*/_react.default.createElement(_Bubble.default, defaultProps);
       break;
 
     case "bubble-top":
       return /*#__PURE__*/_react.default.createElement(_Bubble2.default, defaultProps);
       break;
 
     case "bubble-ping":
       return /*#__PURE__*/_react.default.createElement(_Bubble3.default, defaultProps);
       break;
 
     case "bubble-spin":
       return /*#__PURE__*/_react.default.createElement(_Bubble4.default, defaultProps);
       break;
 
     case "spinner-cub":
       return /*#__PURE__*/_react.default.createElement(_Spinner.default, defaultProps);
       break;
 
     case "spinner-circle":
       return /*#__PURE__*/_react.default.createElement(_Spinner2.default, defaultProps);
       break;
 
     case "spinner-default":
       return /*#__PURE__*/_react.default.createElement(_Spinner3.default, defaultProps);
       break;
 
     case "ekvalayzer":
       return /*#__PURE__*/_react.default.createElement(_Ekvalayzer.default, defaultProps);
       break;
 
     default:
       return /*#__PURE__*/_react.default.createElement(_Spinner3.default, defaultProps);
   }
 };
 
 var _default = Loader;
 exports.default = _default;